
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

@RequestScoped
@Named("logowanieBean")
public class LogowanieBean {
    
    private String login;
    
    @Inject
    private UzytkownikBean uzytkownikBean;
    @Inject
    private CzatBean czatBean;
    
    public String submit() {
        if (this.login.equals("SYSTEM"))
            return "/blad";
        if (!this.czatBean.sprawdzDostepnosc(this.login))
            return "/blad";
        
        getUzytkownikBean().setLogin(this.login);
        return "/czat";
    }
    
   
    public String getLogin() {
        return login;
    }

   
    public void setLogin(String login) {
        this.login = login;
    }

 
   

    /**
     * @return the uzytkownikBean
     */
    public UzytkownikBean getUzytkownikBean() {
        return uzytkownikBean;
    }

    /**
     * @param uzytkownikBean the uzytkownikBean to set
     */
    public void setUzytkownikBean(UzytkownikBean uzytkownikBean) {
        this.uzytkownikBean = uzytkownikBean;
    }
}
